Page MenuHomePhabricator

1.31.0-wmf.16 deployment blockers
Closed, ResolvedPublicRelease

Description

  • Deployment of 1.31.0-wmf.16 will resume on Monday Tuesday January 16th coinciding with the branch 1.31.0-wmf.17 which will be branched from Master at the same time.

Details

Release Version
1.31.0-wmf.16
Release Date
1515369600

2018 week 02 1.31-wmf.16 Changes wmf/1.31.0-wmf.16

This MediaWiki Train Deployment is scheduled for the week of Monday, January 8th:

Monday January 8thTuesday, January 9thWednesday, January 10thThursday, January 11thFriday
SWAT deployments only.Branch wmf.16 and deploy to Group 0 Wikis.Deploy wmf.16 to Group 1 Wikis.Deploy wmf.16 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.16 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.15
Next: 1.31.0-wmf.17

Related Objects

Event Timeline

greg created this task.Nov 16 2017, 10:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2017, 10:24 PM
greg triaged this task as Normal priority.Nov 16 2017, 10:34 PM
demon closed this task as Resolved.Jan 8 2018, 8:28 PM
demon claimed this task.
mmodell reopened this task as Open.Jan 9 2018, 8:03 PM
mmodell claimed this task.
mmodell added a subscriber: demon.

Mentioned in SAL (#wikimedia-operations) [2018-01-09T20:12:04Z] <twentyafterfour@tin> Started scap: Deploy 1.31.0-wmf.16 to test wikis and rebuild l10n. refs T180749

Mentioned in SAL (#wikimedia-operations) [2018-01-09T20:21:01Z] <twentyafterfour@tin> Started scap: Deploy 1.31.0-wmf.16 to test wikis and rebuild l10n. refs T180749 (attempt 2)

Mentioned in SAL (#wikimedia-operations) [2018-01-09T20:57:35Z] <twentyafterfour@tin> Finished scap: Deploy 1.31.0-wmf.16 to test wikis and rebuild l10n. refs T180749 (attempt 2) (duration: 36m 34s)

mmodell updated the task description. (Show Details)Jan 9 2018, 9:56 PM
hashar added a subscriber: hashar.Jan 10 2018, 8:39 AM

On tin /srv/mediawiki-staging/wikiversions.json had been left uncommitted. I have added it to git via https://gerrit.wikimedia.org/r/#/c/403360/

Mentioned in SAL (#wikimedia-operations) [2018-01-10T20:49:37Z] <twentyafterfour@tin> Synchronized php-1.31.0-wmf.16: Sync wmf.16 to deploy multiple patches from addshore refs T180749 (duration: 10m 23s)

Mentioned in SAL (#wikimedia-operations) [2018-01-10T21:09:26Z] <twentyafterfour@tin> Started scap: group0 to 1.31.0-wmf.16 refs T180749

mmodell updated the task description. (Show Details)Jan 10 2018, 9:09 PM

Mentioned in SAL (#wikimedia-operations) [2018-01-10T21:47:56Z] <twentyafterfour@tin> Finished scap: group0 to 1.31.0-wmf.16 refs T180749 (duration: 38m 29s)

Mentioned in SAL (#wikimedia-operations) [2018-01-11T20:12:32Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: Rollback group1 to wmf.15 due to T184749 refs T180749

mmodell updated the task description. (Show Details)Jan 11 2018, 8:13 PM
mmodell updated the task description. (Show Details)
mmodell updated the task description. (Show Details)

Status update: The fix is merged into master (with a backport to wmf.16) and thus on the Beta Cluster for testing. Given it is a Friday we will attempt a continuation of the train on Monday (per https://wikitech.wikimedia.org/wiki/Deployments/Holding_the_train#What_happens_next?), to be coordinated with @mmodell / @thcipriani and @Addshore.

mmodell updated the task description. (Show Details)Jan 12 2018, 6:29 PM
mmodell updated the task description. (Show Details)
mmodell reassigned this task from mmodell to thcipriani.Jan 16 2018, 5:06 PM
mmodell added a subscriber: mmodell.

Passing the torch.

mmodell updated the task description. (Show Details)Jan 16 2018, 5:07 PM

Status update: The fix is merged into master (with a backport to wmf.16) and thus on the Beta Cluster for testing. Given it is a Friday we will attempt a continuation of the train on Monday (per https://wikitech.wikimedia.org/wiki/Deployments/Holding_the_train#What_happens_next?), to be coordinated with @mmodell / @thcipriani and @Addshore.

Starting the rollout of wmf.16 to group1 now in the hopes that we can stay on-track for wmf.17 -> group0 today.

Current plan is wmf.16 -> group1, ensure no new problems arise, wmf.16 -> all wikis, cut wmf.17 and promote to group0 during the normal(ish) window.

thcipriani closed this task as Resolved.Jan 16 2018, 10:01 PM
thcipriani updated the task description. (Show Details)

1.31.0-wmf.16 is now live everywhere.